-- Additional layouts that I think should be in Grid

--{{{ Libraries

local L = AceLibrary("AceLocale-2.2"):new("GridLayoutPlus")

--}}}

GridLayout:AddLayout(L["By Group 40 w/Pets (Plus)"], {
		[1] = {
			groupFilter = "1",
		},
		[2] = {
			groupFilter = "2",
		},
		[3] = {
			groupFilter = "3",
		},
		[4] = {
			groupFilter = "4",
		},
		[5] = {
			groupFilter = "5",
		},
		[6] = {
			groupFilter = "6",
		},
		[7] = {
			groupFilter = "7",
		},
		[8] = {
			groupFilter = "8",
		},
		[9] = {
			isPetGroup = true,
			groupFilter = "WARLOCK,HUNTER",
			unitsPerColumn = 5,
			maxColumns = 8,
			filterOnPet = true,
		},
	})

GridLayout:AddLayout(L["By Group 15 w/Pets (Plus)"], {
		[1] = {
			groupFilter = "1",
		},
		[2] = {
			groupFilter = "2",
		},
		[3] = {
			groupFilter = "3",
		},
		[4] = {
			isPetGroup = true,
			groupFilter = "WARLOCK,HUNTER",
			unitsPerColumn = 5,
			maxColumns = 3,
			filterOnPet = true,
		},
	})

GridLayout:AddLayout(L["By Group 5 w/Pets (Plus)"], {
		[1] = {
			groupFilter = "1",
		},
		[2] = {
			isPetGroup = true,
			groupFilter = "WARLOCK,HUNTER",
			unitsPerColumn = 5,
			maxColumns = 1,
			filterOnPet = true,
		},
	})

GridLayout:AddLayout(L["By Class w/Pets (Plus)"], {
		[1] = {
			groupFilter = "WARRIOR",
			unitsPerColumn = 5,
			maxColumns = 8,
		},
		[2] = {
			groupFilter = "ROGUE",
			unitsPerColumn = 5,
			maxColumns = 8,
		},
		[3] = {
			groupFilter = "DRUID",
			unitsPerColumn = 5,
			maxColumns = 8,
		},
		[4] = {
			groupFilter = "PALADIN",
			unitsPerColumn = 5,
			maxColumns = 8,
		},
		[5] = {
			groupFilter = "SHAMAN",
			unitsPerColumn = 5,
			maxColumns = 8,
		},
		[6] = {
			groupFilter = "PRIEST",
			unitsPerColumn = 5,
			maxColumns = 8,
		},
		[7] = {
			groupFilter = "MAGE",
			unitsPerColumn = 5,
			maxColumns = 8,
		},
		[8] = {
			groupFilter = "WARLOCK",
			unitsPerColumn = 5,
			maxColumns = 8,
		},
		[9] = {
			isPetGroup = true,
			groupFilter = "WARLOCK",
			filterOnPet = true,
			unitsPerColumn = 5,
			maxColumns = 8,
		},
		[10] = {
			groupFilter = "HUNTER",
			unitsPerColumn = 5,
			maxColumns = 8,
		},
		[11] = {
			isPetGroup = true,
			groupFilter = "HUNTER",
			filterOnPet = true,
			unitsPerColumn = 5,
			maxColumns = 8,
		},
	})
